/* Estilos generales */
body{font-family: 'Roboto', Arial, Helvetica, sans-serif; background-color: #E7E7E7;}
h1{font-size: 2.4em;margin: 1em 0px 0px 0px; font-weight: 700;color: #023286; }
h2{font-size: 2em;margin: 0.8em 0px; font-weight: 600; color: #002e5b; line-height: 44px;}
h3{font-size: 1.2em; margin: 0.8em 0px; font-weight: 600; color: #002e5b; line-height: 	34px;}
h4{font-size: 1.1em; margin: 0.8em 0px; font-weight: 600; color: #080808; line-height: 	32px;}
.espaciador{height: 25px;background: white;}
.espaciador-75{height: 75px;background: white;}
.imagenes{width: 	100%;}
a.rojo i{color: red;}
a.link-perfil, a.cerrar-sesion{color:darkorange !important;}
a.link-perfil:visited, a.cerrar-sesion:visited{color:orangered;}
.center{margin: 0 auto;}
td.center{text-align: center;}

.info-mover{
    position: absolute;
    bottom: 60;
    background-color: black;
    color:white;
    left: 5px;
    display: none;
    font-size: 8px;
}

body main{
    flex: 1;
    /* line-height: normal; */
    /* vertical-align: middle; */
    justify-content: center;
    /* align-items: center; */
    /* justify-items: center; */
    display: flex;
    flex-direction: column;
}

.eliminar-proyecto {
    cursor: pointer; /* Cambia el estilo del cursor a un puntero */
}
.leaflet-control-layers .leaflet-control-layers-scrollbar {
    overflow-y: auto;
}
.leaflet-control-layers .leaflet-control-layers-overlays{
    height: 400px;
    max-height: calc(100vh - 60px);
    overflow: hidden;
    /* scroll-behavior: auto; */
    overflow-y: scroll;
}
.lista{overflow: auto;}
.marcador-activo {
    stroke: red;
  }
#mapa-spinner{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9999; /* Asegura que el spinner esté en la parte superior */
  border: 5px solid rgba(0, 0, 0, 0.3);
  border-top: 5px solid #3498db;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 2s linear infinite;
  margin: 0 auto;
}

@keyframes spin {
0% { transform: rotate(0deg); }
100% { transform: rotate(360deg); }
}

#mapa {
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

li.marcador-lista{
	list-style: none;
    border: 2px solid #ccc;
    padding: 2px;
    margin: 5px;
    border-radius: 4px;
    background: #f2f2f2;
    min-height: 60px;
    list-style-type: none;
    display: inline-block;
    padding: 5px;
}
ul.lista{
	overflow: auto;
	height: 500px;
	background: white;
}
a.cerrar-sesion {
    padding: 5px;
    background: linen;
    margin-top: 5px;
    display: inline-block;
    border-radius: 5px;
    box-shadow: 2px 2px 2px orange;
}
header{
	z-index: 1000 !important;
}
header h4{color: white !important; margin: 0px !important;}
#mapa{
    height: 100% !important;
    position: absolute;
    outline-style: none;
    top: 50px !important;
    left: 0;
    right: 0;
    bottom: 0;
}
footer{
	bottom: 0;
}
#resultadosBusqueda{
    background: white;
    overflow: scroll;
    width: 100%;
    height: 450px;
    padding: 1em 0.5em;
}
.listado table{
	width: 100%;
	text-align: left;
}
.listado table th{
	font-weight: bold;
}
.d-flex{
	display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: center;
    min-height: 100%;
}

.cursor-crosshair {
    cursor: crosshair;
}

.bold{font-weight: bold; color:#002e5b;}
.negrita{font-weight: 600;}
.row{padding: 15px;}

.paginacion{
	margin-top: 2em;
}

/* Index */
body.home{
	background: #ffffff;
}
.subtitulo{
	padding: 0 15px;
}
body.home section.imagen-cabecera{
	height: 160px;
	max-height: 160px;
}

body.home .container{
	max-width: 1024px;
}
body.home section.servicios{
	background: #f2f2f2;
	padding: 3em 0;
}
body.home section.faldon-azul{
	font-size: 1em;
}
body.home section.faldon-azul p{
	text-align: left;
}
body.home section.faldon-blanco{
	background: white;
	padding: 3em 0px;
}
body.home section.faldon-blanco p{
	text-align: center;
	font-weight: 400;
}
body.home section.faldon-blanco h2{
	color: #023286;
}
body.home section h2{
	padding: 0px;
	text-align: center;
	font-size: 2.1em;
	line-height: 28px;
	font-style: italic;
}
body.home section.pre-footer{
	background: white;
	font-family: 'Roboto';
    font-weight: 300;
}
body.home section.pre-footer .atencion{text-align: center;}
body.home section.sombreado{
	background: linear-gradient(180deg , rgba(255,255,255,1) 21%, rgba(231,231,231,1) 96%);
	height: 25px;
}
body.home section.faldon-blanco h2{
	color: #023286;
	text-align: center;
}
section.datos .oficinas{
	text-align: left !important;
	flex:2 !important;
}
section.datos .enlaces{
	flex: 1;
	text-align: left;
}
section.datos .blanco{
	flex:2;
}
section.datos p{
	margin-bottom: 5px;
	line-height: 20px;
}
section.servicios p{
	padding: 10px;
    line-height: 20px;
    font-size: 15px;
    text-align: center;
    font-weight: 400;
    padding-bottom: 2em;
}
.TEXTOCOMUN {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}
.TEXTOCOMUNGRIS {
	color: #808080;
}

a:link {
	text-decoration: none;
	color: #023286;
}
a:visited {
	text-decoration: none;
	color: #023286;
}
a:hover {
	text-decoration: none;
	color: #369;
}
a:active {
	text-decoration: none;
	color: #023286;
}


/*Header*/
/*Cabecera fija*/

#header,#footer{
	background: #023286;
    height: 50px;
    position: fixed;
    left: 0;
    right: 0;
    color: #f2f2f2;
}
label.toggle-menu {
	padding-right: 2em;
}

/* Nuevo Index - Página de inicio*/
section.header .contenedor-cabecera{
	background: white;
}
section.imagen-cabecera-index .contenedor-cabecera{background: none; height: auto; max-height: auto;}
section.header .contenedor-cabecera img{padding: 2em; } 

.contenedor-cabecera a{max-height: 110px;}
/**/
/*MENÃš DE NAVEGACIÃ“N*/
#logo{float:left; font-size:24px; text-transform:uppercase; color:#002e5b; font-weight:600; padding:20px 0px;}
nav{width:auto; float:right;}
nav ul{display:table; float:right;padding: 1.5em 0px;}
nav ul li{float:left;}
nav ul li:last-child{padding-right:0px;}
nav ul li a{color:#002e5b !important; font-size:18px; padding: 25px 20px; display:inline-block; transition: all 0.5s ease 0s;}
nav ul li ul.dropdown a{padding: 20px 15px; font-size: 16px; display: inline-block;min-width: 180px;}
nav ul li a:hover{background-color:#002e5b; color:#f2f2f2 !important; transition: all 0.5s ease 0s;}
nav ul li a:hover i{color:#f2f2f2 !important; transition: all 0.5s ease 0s;}
nav ul li a i{padding-right:10px; color:#002e5b; transition: all 0.5s ease 0s;}

li.submenu:hover ul.dropdown{display: block;}
.dropdown{display: none;}
ul.dropdown{
	position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    padding: 0px;
    display: none;
}
nav ul.dropdown li{
	display: block;
    float: none;
    padding: 0;
}

.toggle-menu ul{display:table; width:25px;margin-top: 2.5em;}
.toggle-menu ul li{width:100%; height:3px; background-color:#002e5b; margin-bottom:4px;}
.toggle-menu ul li:last-child{margin-bottom:0px;}



@media only screen and (max-width: 640px){
	section.pre-footer .d-flex{
		flex-direction: column;
	}
	section.datos .enlaces{flex:2;}
}


@media only screen and (max-width: 980px) {
	
	#logo{padding:0px;}

	

	nav{
	display:none; 
	position:absolute; 
	right:0px; top:53px; 
	background-color:#002e5b; 
	padding:0px; 
	z-index:99;
	}
	nav ul{width:100%;padding: 0px !important;}
	nav ul li{float:none; padding:0px; width:100%; display:table;}
	nav ul li a{color:#fff !important; font-size:16px; padding:20px 15px; display:block; border-bottom: 1px solid rgba(225,225,225,0.1);}
	nav ul li a:hover{color: #f2f2f2 !important;}
	nav ul li a i{color:#f2f2f2; padding-right:13px;}
	nav ul li ul.dropdown a{color: #002e5b !important; width: 100% !important;}
	nav ul li ul.dropdown a:hover{color: #fff !important; width: 100% !important;}
	.division{flex-direction: 	column-reverse !important; }
	.primer-parrafo, .pdf-politica{flex-basis: 0px !important;}
	.d-flex-areas{flex-wrap: nowrap;flex-direction: column;}
}


body.home .estilo-mini-logo {
    text-align: center;
    width: 96px;
    height: 96px;
    background: white;
    border-radius: 100%;
    margin: 0 auto;
}
body.crear-proyecto .estilo-mini-logo {
    text-align: center;
    width: 96px;
    height: 96px;
    background: white;
    border-radius: 100%;
    margin: 0 auto;
}
.estilo-mini-logo{
	text-align: center;
    width: 128px;
    height: 128px;
    background: white;
    border-radius: 100%;
    margin: 0 auto;
    margin-top: -3.5em;
}
.estilo-mini-logo img{
	border: 0;
    text-align: center;
    margin-top: 1.8em;
}

/* Área Privada*/

/* Login de usuario*/
body.login{
	background: 	#f2f2f2;
	font-family: 'Roboto';
}

body.login .formulario-inicio-sesion {
    height: 95vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* margin-top: -50px; */
}
body .formulario-listar-proyectos {
    height: 95vh;
    display: inline-block;
    margin-top: 20px;
    position: absolute;
    top: 50px;
    bottom: 50px;
    left: 0;
    right: 0;
}
body.profile .contenido-principal {
    height: 95vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-top: 50px;
    /* margin-top: -50px; */
}
body.profile .container {
    width: 95%;
    max-width: 1340px;
    position: absolute;
    margin: 0 auto;
    top: 50px;
    bottom: 50px;
}

body.login .btn-warning{
	color: 	white;
	background: #023286;
	border: 	1px solid white;
}

/* Profile: Perfil de usuario, navegación directorios*/
body.profile{
	font-family: 'Roboto';
}
body.profile .perfil{
	padding: 	15px;
	background: 	#f2f2f2;
	border-bottom: 	5px solid #023286;
}

body.profile .container{
	width: 95%;
    max-width: 1340px;
    position: relative;
    margin: 	0 auto;
    margin-top: 50px;
}

body.profile .perfil > .container{
	z-index: 10000;
}

body.profile .navegacion-incrustado{
	min-height: 900px;
}
body.profile .tools{
	float: right;
	margin-top: -3em;
}

body.profile .saludo a.logout{
	color: white;
    background: red;
    padding: 3px;
    border-radius: 4px;
    z-index: 9;
    height: 24px;
    margin-top: -15px;
    margin-left: 15px;
}

body.profile .estilo-mini-logo{
	margin-top: 	-4.5em;
	border:5px solid #023286;
}

body.profile .filemanager .search:before{
	top:3px;
	margin-top: 10px;
    width: 14px;
    height: 14px;
}

body.profile .filemanager .search input[type=search]{
	right: 30px;
    position: absolute;
}

@media only screen and (max-width: 	780px){
	body.profile .estilo-mini-logo{
		margin-top: -2.5em;
    	border: 5px solid #023286;
    	width: 64px;
    	height: 64px;
	}
	body.profile .estilo-mini-logo img{
		border: 0;
	    text-align: center;
	    margin-top: 0.6em;
	    width: 36px;
	    height: 36px;
	}
}

/* Estilos para el cuerpo del documento */
        body {
          display: flex;
          flex-direction: column;
          height: 100vh; /* Establece la altura del cuerpo al 100% de la ventana */
          margin: 0; /* Elimina el margen predeterminado del cuerpo */
          overflow: hidden; /* Evita el desbordamiento del cuerpo */
        }

        /* Estilos para el encabezado (header) */
        #header {
          flex: 0 0 50px; /* Fija la altura en 50px y no permite que crezca ni se encoja */
          background-color: #023286; /* Color de fondo del encabezado */
          color: white; /* Color de texto del encabezado */
          z-index: 2; /* Coloca el encabezado en la parte superior */
        }

        /* Estilos para el contenido principal (mapa) */
        #mapa {
          flex: 1; /* Ocupa todo el espacio restante disponible */
          position: relative; /* Permite posicionar elementos dentro de #mapa */
          z-index: 1; /* Coloca el contenido principal en la capa inferior */
        }

        /* Estilos para el pie de página (footer) */
        #footer {
          flex: 0 0 10px; /* Fija la altura en 50px y no permite que crezca ni se encoja */
          background-color: #023286; /* Color de fondo del pie de página */
          color: white; /* Color de texto del pie de página */
          z-index: 2; /* Coloca el pie de página en la parte superior */
          bottom: 0px;
          position: absolute;
        }
        #footer-mapa {
          
          background-color: #023286; /* Color de fondo del pie de página */
          color: white; /* Color de texto del pie de página */
          z-index: 2; /* Coloca el pie de página en la parte superior */
          bottom: 0px;
          height: auto;
          min-height: 50px;
          position: absolute;
          bottom: 0;
          left: 0;
          right: 0;
        }

        /* Estilos para el botón "+" */
        #btnAgregarMarcador {
          position: absolute; /* Posiciona de manera absoluta con respecto al contenedor padre (#mapa) */
          bottom: 70px; /* Espaciado desde la parte inferior del contenedor */
          right: 10px; /* Espaciado desde la parte derecha del contenedor */
          z-index: 2; /* Coloca el botón en la parte superior */
        }
        header h4{
            padding: 0;
            margin: 0;
            color: white;
        }

        select{
            background: #f2f2f2;
            position: absolute;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 0;
        }
        input.select-dropdown{
        	color: white !important;
        }
        #footer-mapa .contenedor-select {
		    display: none;
		}
        body.crear-proyecto input.select-dropdown{
        	color: darkblue !important;
        }

